function [] = dbdisp(msg)
% DBDISP Prints a debug message.
%    DBDISP(MSG) Prints MSG to screen. The function calling DBDISP 
%    is prepended to the output.
%
% (c) Joseph Y Cheng (jycheng@mrsrl.stanford.edu) 2010
    
% SVN info: 
%     Date:     $Date: 2013-06-07 16:46:23 -0700 (Fri, 07 Jun 2013) $
%     Revision: $Revision: 1298 $
%     Author:   $Author: jycheng $
%     Id:       $Id: dbdisp.m 1298 2013-06-07 23:46:23Z jycheng $

    global JYCDebug;
    
    if JYCDebug < 1
        return;
    end
    
    %% Grab debug information
    [ST,I] = dbstack;
    
    %% Check if there is a higher level calling this function
    callname = '';
    if length(ST) > 1        
        callname = ST(2).name;
    end

    if (callname)
        disp([callname '> ' char(msg)]);
    else
        disp(msg);
    end
