function out = floorfib(in)
% FLOORFIB floors number to nearest Fibonacci number
%    OUT = FLOORFIB(IN) floors number IN to the nearest
%    Fibonacci number. 
%
% See also ROUNDFIB.
%
% (c) Joseph Y Cheng (jycheng@mrsrl.stanford.edu) 2013
%
    
% SVN info: 
%   Date:     $Date: 2013-07-23 15:41:23 -0700 (Tue, 23 Jul 2013) $
%   Revision: $Revision: 1349 $
%   Author:   $Author: jycheng $
%   Id:       $Id: floorfib.m 1349 2013-07-23 22:41:23Z jycheng $


    
    fo = 1; %% old
    fi = 1; %% current
    do = 1e10; %% old difference
    
    out = fi; %% init value
    
    while 1
        di = abs(in-fi); %% current difference
        if (di<do) && in>fi            
            %% update
            do = di;
            out = fi;
            
            %% fib increment 
            temp = fi;
            fi = fi+fo;
            fo = temp;
        else
            break;
        end
    end