function out = roundfib(in)
% ROUNDFIB rounds number to nearest Fibonacci number
%    OUT = ROUNDFIB(IN) rounds number IN to the nearest
%    Fibonacci number. 
%
% See also FLOORFIB.
%
% (c) Joseph Y Cheng (jycheng@mrsrl.stanford.edu) 2012
%

% SVN info: 
%   Date:     $Date: 2013-07-23 15:41:23 -0700 (Tue, 23 Jul 2013) $
%   Revision: $Revision: 1349 $
%   Author:   $Author: jycheng $
%   Id:       $Id: roundfib.m 1349 2013-07-23 22:41:23Z jycheng $

    
    fo = 1; %% old
    fi = 1; %% current
    do = 1e10; %% old difference
    
    out = fi; %% init value
    
    while 1
        di = abs(in-fi); %% current difference
        if (di<do)
            %% update
            do = di;
            out = fi;
            %% increment 
            temp = fi;
            fi = fi+fo;
            fo = temp;
        else
            break;
        end
    end